org.eclipse.swt.accessibility

## Interface AccessibleTableCellListener

All Superinterfaces:
  EventListener, SWTEventListener

All Known Implementing Classes:
  AccessibleTableCellAdapter

    public interface AccessibleTableCellListener
    extends SWTEventListener

Classes which implement this interface provide methods that handle AccessibleTableCell events.

After creating an instance of a class that implements this interface it can be added to an accessible using the `addAccessibleTableCellListener` method and removed using the `removeAccessibleTableCellListener` method.

Since:
  3.6
See Also:
  `AccessibleTableCellAdapter`, `AccessibleTableCellEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getColumnHeaders(AccessibleTableCellEvent e)` Returns the column headers as an array of cell accessibles.
`void` `getColumnIndex(AccessibleTableCellEvent e)` Translates this cell accessible into the corresponding column index.
`void` `getColumnSpan(AccessibleTableCellEvent e)` Returns the number of columns occupied by this cell accessible.
`void` `getRowHeaders(AccessibleTableCellEvent e)` Returns the row headers as an array of cell accessibles.
`void` `getRowIndex(AccessibleTableCellEvent e)` Translates this cell accessible into the corresponding row index.
`void` `getRowSpan(AccessibleTableCellEvent e)` Returns the number of rows occupied by this cell accessible.
`void` `getTable(AccessibleTableCellEvent e)` Returns the accessible for the table containing this cell.
`void` `isSelected(AccessibleTableCellEvent e)` Returns a boolean value indicating whether this cell is selected.

### Method Detail

#### getColumnSpan

    void getColumnSpan(AccessibleTableCellEvent e)

Returns the number of columns occupied by this cell accessible.

This is 1 if the specified cell is only in one column, or more than 1 if the specified cell spans multiple columns.

Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the 1 based number of columns spanned by the specified cell

#### getColumnHeaders

    void getColumnHeaders(AccessibleTableCellEvent e)

Returns the column headers as an array of cell accessibles. TODO: doc that this is a more efficient way to get headers of a cell than TableListener.getRow/ColHeaders

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of cell accessibles, or null if there are no column headers

#### getColumnIndex

    void getColumnIndex(AccessibleTableCellEvent e)

Translates this cell accessible into the corresponding column index.

Parameters:
  `e` - an event object containing the following fields:
  - [out] index - the 0 based column index of the specified cell, or the index of the first column if the cell spans multiple columns

#### getRowSpan

    void getRowSpan(AccessibleTableCellEvent e)

Returns the number of rows occupied by this cell accessible.

This is 1 if the specified cell is only in one row, or more than 1 if the specified cell spans multiple rows.

Parameters:
  `e` - an event object containing the following fields:
  - [out] count - the 1 based number of rows spanned by the specified cell

#### getRowHeaders

    void getRowHeaders(AccessibleTableCellEvent e)

Returns the row headers as an array of cell accessibles. TODO: doc that this is a more efficient way to get headers of a cell than TableListener.getRow/ColHeaders

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessibles - an array of cell accessibles, or null if there are no row headers

#### getRowIndex

    void getRowIndex(AccessibleTableCellEvent e)

Translates this cell accessible into the corresponding row index.

Parameters:
  `e` - an event object containing the following fields:
  - [out] index - the 0 based row index of the specified cell, or the index of the first row if the cell spans multiple rows

#### getTable

    void getTable(AccessibleTableCellEvent e)

Returns the accessible for the table containing this cell.

Parameters:
  `e` - an event object containing the following fields:
  - [out] accessible - the accessible for the containing table

#### isSelected

    void isSelected(AccessibleTableCellEvent e)

Returns a boolean value indicating whether this cell is selected.

Parameters:
  `e` - an event object containing the following fields:
  - [out] isSelected - true if the specified cell is selected and false otherwise